"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mutant_1 = require("stryker-api/mutant");
var ES5Mutator_1 = require("./mutators/ES5Mutator");
mutant_1.MutatorFactory.instance().register('es5', ES5Mutator_1.default);
var MutatorFacade = /** @class */ (function () {
    function MutatorFacade(config) {
        this.config = config;
    }
    MutatorFacade.prototype.mutate = function (inputFiles) {
        return mutant_1.MutatorFactory.instance()
            .create(this.getMutatorName(this.config.mutator), this.config)
            .mutate(inputFiles);
    };
    MutatorFacade.prototype.getMutatorName = function (mutator) {
        if (typeof mutator === 'string') {
            return mutator;
        }
        else {
            return mutator.name;
        }
    };
    return MutatorFacade;
}());
exports.default = MutatorFacade;
//# sourceMappingURL=MutatorFacade.js.map