import { Observable } from 'rxjs';
import { Config } from 'stryker-api/config';
import { File } from 'stryker-api/core';
import { TestFramework } from 'stryker-api/test_framework';
import Sandbox from './Sandbox';
import LoggingClientContext from './logging/LoggingClientContext';
export default class SandboxPool {
    private readonly options;
    private readonly testFramework;
    private readonly initialFiles;
    private readonly overheadTimeMS;
    private readonly loggingContext;
    private readonly log;
    private readonly sandboxes;
    constructor(options: Config, testFramework: TestFramework | null, initialFiles: ReadonlyArray<File>, overheadTimeMS: number, loggingContext: LoggingClientContext);
    streamSandboxes(): Observable<Sandbox>;
    private registerSandbox;
    disposeAll(): Promise<void[]>;
}
