import { File, Range, Location, Position } from 'stryker-api/core';
export declare function isLineBreak(ch: number): boolean;
export default class SourceFile {
    file: File;
    private readonly lineStarts;
    constructor(file: File);
    readonly name: string;
    readonly content: string;
    getLocation(range: Range): Location;
    getPosition(pos: number): Position;
    /**
     * Performs a binary search, finding the index at which 'value' occurs in 'array'.
     * If no such index is found, returns the 2's-complement of first index at which
     * number[index] exceeds number.
     * @param array A sorted array whose first element must be no larger than number
     * @param number The value to be searched for in the array.
     */
    private binarySearch;
    private computeLineStarts;
}
