import { Config } from 'stryker-api/config';
import { StrykerOptions } from 'stryker-api/core';
import { MutantResult } from 'stryker-api/report';
export default class Stryker {
    config: Config;
    private readonly timer;
    private readonly reporter;
    private readonly testFramework;
    private readonly log;
    /**
     * The Stryker mutation tester.
     * @constructor
     * @param {Object} [options] - Optional options.
     */
    constructor(options: StrykerOptions);
    runMutationTest(): Promise<MutantResult[]>;
    private mutate;
    private logMutantCount;
    private removeExcludedMutants;
    private loadPlugins;
    private wrapUpReporter;
    private applyConfigEditors;
    private freezeConfig;
    private logDone;
    private logRemark;
    private reportScore;
}
