"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var os = require("os");
var handbookUrl = 'https://github.com/stryker-mutator/stryker-handbook/blob/master/stryker/guides/angular.md#angular';
var AngularPreset = /** @class */ (function () {
    function AngularPreset() {
        this.name = 'angular-cli';
        // Please keep config in sync with handbook
        this.dependencies = [
            'stryker',
            'stryker-karma-runner',
            'stryker-typescript',
            'stryker-html-reporter'
        ];
        this.config = "{\n        mutate: [\n          'src/**/*.ts',\n          '!src/**/*.spec.ts',\n          '!src/test.ts',\n          '!src/environments/*.ts'\n        ],\n        mutator: 'typescript',\n        testRunner: 'karma',\n        karma: {\n          configFile: 'src/karma.conf.js',\n          projectType: 'angular-cli',\n          config: {\n            browsers: ['ChromeHeadless']\n          }\n        },\n        reporters: ['progress', 'clear-text', 'html'],\n        maxConcurrentTestRunners: " + Math.floor(os.cpus().length / 2) + ", // Recommended to use about half of your available cores when running stryker with angular.\n        coverageAnalysis: 'off'\n    }";
    }
    AngularPreset.prototype.createConfig = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, { config: this.config, handbookUrl: handbookUrl, dependencies: this.dependencies }];
            });
        });
    };
    return AngularPreset;
}());
exports.AngularPreset = AngularPreset;
//# sourceMappingURL=AngularPreset.js.map