"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var esprima_1 = require("esprima");
var LogicalOperatorMutator = /** @class */ (function () {
    function LogicalOperatorMutator() {
        this.name = 'LogicalOperator';
        this.type = esprima_1.Syntax.LogicalExpression;
        this.operators = {
            '&&': '||',
            '||': '&&'
        };
    }
    LogicalOperatorMutator.prototype.applyMutations = function (node, copy) {
        var nodes = [];
        if (node.type === this.type && this.operators[node.operator]) {
            var mutatedNode = copy(node);
            mutatedNode.operator = this.operators[node.operator];
            nodes.push(mutatedNode);
        }
        return nodes;
    };
    return LogicalOperatorMutator;
}());
exports.default = LogicalOperatorMutator;
//# sourceMappingURL=LogicalOperatorMutator.js.map