"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var esprima_1 = require("esprima");
var UnaryOperatorMutator = /** @class */ (function () {
    function UnaryOperatorMutator() {
        this.name = 'UnaryOperator';
        this.type = esprima_1.Syntax.UnaryExpression;
        this.operators = {
            '+': '-',
            '-': '+'
        };
    }
    UnaryOperatorMutator.prototype.applyMutations = function (node, copy) {
        var nodes = [];
        if (node.type === this.type && this.operators[node.operator]) {
            var mutatedNode = copy(node);
            mutatedNode.operator = this.operators[node.operator];
            nodes.push(mutatedNode);
        }
        return nodes;
    };
    return UnaryOperatorMutator;
}());
exports.default = UnaryOperatorMutator;
//# sourceMappingURL=UnaryOperatorMutator.js.map