import { Config } from 'stryker-api/config';
import { File } from 'stryker-api/core';
import { MutantResult } from 'stryker-api/report';
import { TestFramework } from 'stryker-api/test_framework';
import TestableMutant from '../TestableMutant';
import StrictReporter from '../reporters/StrictReporter';
import LoggingClientContext from '../logging/LoggingClientContext';
export default class MutationTestExecutor {
    private readonly config;
    private readonly inputFiles;
    private readonly testFramework;
    private readonly reporter;
    private readonly overheadTimeMS;
    private readonly loggingContext;
    constructor(config: Config, inputFiles: ReadonlyArray<File>, testFramework: TestFramework | null, reporter: StrictReporter, overheadTimeMS: number, loggingContext: LoggingClientContext);
    run(allMutants: TestableMutant[]): Promise<MutantResult[]>;
    private runInsideSandboxes;
}
