import { Reporter, SourceFile, MutantResult, MatchedMutant, ScoreResult } from 'stryker-api/report';
import StrictReporter from './StrictReporter';
export interface NamedReporter {
    name: string;
    reporter: Reporter;
}
export default class BroadcastReporter implements StrictReporter {
    private readonly reporters;
    private readonly log;
    constructor(reporters: NamedReporter[]);
    private broadcast;
    onSourceFileRead(file: SourceFile): void;
    onAllSourceFilesRead(files: SourceFile[]): void;
    onAllMutantsMatchedWithTests(results: ReadonlyArray<MatchedMutant>): void;
    onMutantTested(result: MutantResult): void;
    onAllMutantsTested(results: MutantResult[]): void;
    onScoreCalculated(score: ScoreResult): void;
    wrapUp(): void | Promise<void>;
    private handleError;
}
