"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var report_1 = require("stryker-api/report");
var chalk_1 = require("chalk");
var os = require("os");
var DotsReporter = /** @class */ (function () {
    function DotsReporter() {
    }
    DotsReporter.prototype.onMutantTested = function (result) {
        var toLog;
        switch (result.status) {
            case report_1.MutantStatus.Killed:
                toLog = '.';
                break;
            case report_1.MutantStatus.TimedOut:
                toLog = chalk_1.default.yellow('T');
                break;
            case report_1.MutantStatus.Survived:
                toLog = chalk_1.default.bold.red('S');
                break;
            case report_1.MutantStatus.RuntimeError:
                toLog = chalk_1.default.yellow('E');
                break;
            default:
                toLog = '';
                break;
        }
        process.stdout.write(toLog);
    };
    DotsReporter.prototype.onAllMutantsTested = function () {
        process.stdout.write(os.EOL);
    };
    return DotsReporter;
}());
exports.default = DotsReporter;
//# sourceMappingURL=DotsReporter.js.map