import { StrykerOptions } from 'stryker-api/core';
import { SourceFile, MutantResult, MatchedMutant, ScoreResult } from 'stryker-api/report';
import StrictReporter from './StrictReporter';
export default class EventRecorderReporter implements StrictReporter {
    private readonly options;
    private readonly log;
    private readonly allWork;
    private readonly createBaseFolderTask;
    private _baseFolder;
    private index;
    constructor(options: StrykerOptions);
    private readonly baseFolder;
    private writeToFile;
    private format;
    private work;
    onSourceFileRead(file: SourceFile): void;
    onAllSourceFilesRead(files: SourceFile[]): void;
    onAllMutantsMatchedWithTests(results: ReadonlyArray<MatchedMutant>): void;
    onMutantTested(result: MutantResult): void;
    onScoreCalculated(score: ScoreResult): void;
    onAllMutantsTested(results: MutantResult[]): void;
    wrapUp(): Promise<any>;
}
