"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var objectUtils_1 = require("../../utils/objectUtils");
var CircleProvider = /** @class */ (function () {
    function CircleProvider() {
        this.isPullRequest = function () { return objectUtils_1.getEnvironmentVariable('CIRCLE_PULL_REQUEST') !== undefined; };
        this.determineBranch = function () { return objectUtils_1.getEnvironmentVariable('CIRCLE_BRANCH') || '(unknown)'; };
        this.determineRepository = function () {
            var username = objectUtils_1.getEnvironmentVariable('CIRCLE_PROJECT_USERNAME');
            var reponame = objectUtils_1.getEnvironmentVariable('CIRCLE_PROJECT_REPONAME');
            if (username !== '' && reponame !== '') {
                return username + "/" + reponame;
            }
            else {
                return '(unknown)';
            }
        };
    }
    return CircleProvider;
}());
exports.default = CircleProvider;
//# sourceMappingURL=CircleProvider.js.map