"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CircleProvider_1 = require("./CircleProvider");
var TravisProvider_1 = require("./TravisProvider");
var objectUtils_1 = require("../../utils/objectUtils");
/**
 * Return an approriate instance of CiProvider.
 * @returns An instance of CiProvider, or undefined if it appears Stryker is not running in a CI/CD environment.
 */
function determineCIProvider() {
    // By far the coolest env. variable from all those listed at
    // https://docs.travis-ci.com/user/environment-variables/#Default-Environment-Variables
    if (objectUtils_1.getEnvironmentVariable('HAS_JOSH_K_SEAL_OF_APPROVAL')) {
        return new TravisProvider_1.default();
    }
    else if (objectUtils_1.getEnvironmentVariable('CIRCLECI')) {
        return new CircleProvider_1.default();
    }
    return undefined;
}
exports.determineCIProvider = determineCIProvider;
//# sourceMappingURL=Provider.js.map