import { TestRunner, RunResult, RunOptions, RunnerOptions } from 'stryker-api/test_runner';
import LoggingClientContext from '../logging/LoggingClientContext';
/**
 * Runs the given test runner in a child process and forwards reports about test results
 * Also implements timeout-mechanism (on timeout, restart the child runner and report timeout)
 */
export default class ChildProcessTestRunnerDecorator implements TestRunner {
    private readonly worker;
    constructor(realTestRunnerName: string, options: RunnerOptions, sandboxWorkingDirectory: string, loggingContext: LoggingClientContext);
    init(): Promise<void>;
    run(options: RunOptions): Promise<RunResult>;
    dispose(): Promise<void>;
}
