/// <reference types="node" />
export declare class TempFolder {
    private readonly log;
    baseTempFolder: string;
    tempFolder: string;
    private constructor();
    initialize(tempDirName?: string): void;
    /**
     * Creates a new random folder with the specified prefix.
     * @param prefix The prefix.
     * @returns The path to the folder.
     */
    createRandomFolder(prefix: string): string;
    /**
     * Copies a file.
     * @param fromFilename The path to the existing file.
     * @param toFilename The path to copy the file to.
     * @param instrumenter An optional additional instrumenter to stream the file through
     * @returns A promise to eventually copy the file.
     */
    copyFile(fromFilename: string, toFilename: string, instrumenter: NodeJS.ReadWriteStream | null): Promise<void>;
    /**
     * Deletes the Stryker-temp folder
     */
    clean(): Promise<void>;
    /**
     * Creates a random integer number.
     * @returns A random integer.
     */
    random(): number;
    private static _instance;
    static instance(): TempFolder;
}
